 package com.inet.ailink.receiver.entity;

 import com.inet.ailink.receiver.common.vo.Response;

 /**
 * @author Dream_Kang
 *
 */
@SuppressWarnings("serial")
public class SysLogs implements Comparable<SysLogs>{
	/**
	 * 原始参数
	 */
	private String encryptParams;
	/**
	 * 数据接收时间
	 */
	private String createTime;

	/**
	 * 访问者IP地址
	 */
	private String ip;
	
	/**
	 * 请求URI
	 */
	private String uri;

	/**
	 * 解密后的设备数据
	 */
	private Object decryptParams;

	/**
	 * 签名
	 */
	private String sign;

	/**
	 * appKey
	 */
	private String productKey;

	/**
	 * errorMsg
	 */
	private String errorMsg;

	private Long sortCloumns;

	private Response<Object> result;

	public String getEncryptParams() {
		return encryptParams;
	}

	public void setEncryptParams(String encryptParams) {
		this.encryptParams = encryptParams;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public Object getDecryptParams() {
		return decryptParams;
	}

	public void setDecryptParams(Object decryptParams) {
		this.decryptParams = decryptParams;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public String getProductKey() {
		return productKey;
	}

	public void setProductKey(String productKey) {
		this.productKey = productKey;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	/**
	 * @return the sortCloumns
	 */
	public Long getSortCloumns() {
		return sortCloumns;
	}

	/**
	 * @param sortCloumns the sortCloumns to set
	 */
	public void setSortCloumns(Long sortCloumns) {
		this.sortCloumns = sortCloumns;
	}

	@Override
	public int compareTo(SysLogs o) {
		return  (int) (o.sortCloumns - this.sortCloumns);
	}

	 public Response<Object> getResult() {
		 return result;
	 }

	 public void setResult(Response<Object> result) {
		 this.result = result;
	 }
 }

